' --------------------------- ' ViewCubeの上面をXY平面に合わせる ' --------------------------- ' Ver 1.0 By Yoji Tanaka At 13/01/23 ' Copyright 2013 Autodesk, Inc. All rights reserved Sub Main Dim invApp As Inventor.Application invApp = ThisApplication Dim oDoc As Inventor.Document oDoc = invApp.ActiveDocument Dim oWP As Inventor.WorkPlane oWP = oDoc.ComponentDefinition.WorkPlanes(3) Dim oSele As Inventor.SelectSet oSele = oDoc.SelectSet oSele.Clear oSele.Select (oWP) invApp.CommandManager.ControlDefinitions("AppLookAtCmd").Execute invApp.CommandManager.ControlDefinitions("AppViewCubeViewTopCmd").Execute invApp.CommandManager.ControlDefinitions("AppPreviousViewCmd").Execute End Sub